Subject: bug#78599: closed (Re: [PATCH 7/7] gnu: emacs-keystore-mode: Improve style and enable tests.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 09 Jun 2025 16:25:09 +0000

Your bug report

#78599: [PATCH emacs-team 0/7] Last patches for emacs-team

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78599: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78599
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 7/7] gnu: emacs-keystore-mode: Improve style and enable tests.
From: Andreas Enge <[email-masked]>
To: Nicolas Graves <[email-masked]>
Cc: [email-masked]
Date: Mon, 9 Jun 2025 18:24:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I have pushed the commits 1 to 5 to the emacs-team branch;
the last two do not apply since they are already on the master
branch. Closing this issue then.

Andreas

Subject: [PATCH emacs-team 0/7] Last patches for emacs-team
From: Nicolas Graves <[email-masked]>
To: [email-masked]
Cc: Nicolas Graves <[email-masked]>
Date: Tue, 27 May 2025 00:57:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

These are the last fixes I can come up with for the emacs-team branch.
I think with a rebase and these we should merge the emacs-team branch
in master.

Nicolas Graves (7):
  gnu: emacs-racket-mode: Update to 1-8.7f2813d.
  gnu: emacs-ob-racket: Skip tests.
  gnu: emacs-espuds: Move to (gnu packages emacs-build).
  gnu: emacs-ecukes: Move to (gnu packages emacs-build).
  gnu: emacs-prodigy: Skip tests.
  gnu: emacs-origami: Fix invalid-face-box.
  gnu: emacs-keystore-mode: Improve style and enable tests.

 gnu/packages/emacs-build.scm | 60 +++++++++++++++++++++++
 gnu/packages/emacs-xyz.scm   | 95 +++++++++---------------------------
 2 files changed, 84 insertions(+), 71 deletions(-)

-- 
2.49.0